Updating 3ds and Exploits

Discussion in '3DS - Flashcards & Custom Firmwares' started by midnight1001, Dec 10, 2013.

  1. midnight1001
    OP

    midnight1001 Advanced Member

    Newcomer
    74
    3
    Jul 17, 2011
    Ok so this might seem like a stupid question and I'm sure it's been asked before... but it's been bothering me for a while now...
    So the miiverse update for 3ds has just been released v 7 and my 3ds is currently using system firmware v6...
    My question is this is there any point staying on version 6 or should I just go ahead and update?? I know exploits for gateway were patched but are there any potential hacks for v6 or is there a better chance that 6 will be hacked first? (Such as the hack we were shown earlier in the month by smealums)
    I just don't want to update like I did before only to loose ability to use exploits like what happened with gateway for many of us...
    Thoughts anyone? Much appreciated!
     
  2. CJL18

    CJL18 GBAtemp Advanced Fan

    Member
    867
    66
    Mar 4, 2007
    United States
    Update the exploit was patched after 4.5
     
  3. inuyasha555

    inuyasha555 GBAtemp Regular

    Member
    251
    52
    Oct 10, 2013
    Canada
    When a new exploit is found it would probably be found on the newest firmware. What's the point in looking for an exploit in like 5.0 right now? Everyone will be trying on 7.0.
     
  4. fatcat1413

    fatcat1413 GBAtemp Regular

    Member
    118
    4
    Dec 2, 2013
    United States
    By the time a 7.0 exploit surfaces (If there ever will be one) Nintendo will come with a 7.x fw or 8.0 fw to patch the exploit making it useless for people who already updated to that firmware, then the same thing will continue happening in a cycle ;)
     
  5. n1ghty

    n1ghty GBAtemp Regular

    Member
    273
    345
    Aug 8, 2013
    Saint Kitts and Nevis
    1. Backup your NAND (system 6.3) with a hardware mod.
    2. Update your NAND to the latest system version.
    3. ???
    4. PROFIT!!!
     
  6. Swing

    Swing GBAtemp Regular

    Member
    269
    18
    Jun 5, 2011
    United States
    Crap I'm updating my 3DS right now, cuz I want Bravely Default, anyways I decided to update before I quit reading topics. Did that screw me over in anyway?
     
  7. Pong20302000

    Pong20302000 making notes on everything

    Member
    8,076
    1,933
    Sep 8, 2009
    One's inner self
    6.3.0 still has a Arm11 MSET exploit avilable

    4.5.0 had Arm9 & Arm11 MSET exploit

    the Arm11 exploit was patched in 7.0.0
     
  8. darkziosj

    darkziosj GBAtemp Regular

    Member
    148
    47
    Jul 30, 2013
    Colombia
    Medellin

    from what i read if you update to 7.0+ you can't play sdk 5.0 games that includes bravely default.
     
  9. n1ghty

    n1ghty GBAtemp Regular

    Member
    273
    345
    Aug 8, 2013
    Saint Kitts and Nevis
    We don't know if someone finds a new exploit in 5.X and up. And if there is an usable exploit, it could be only for system version 5.1, 6.3 or the latest.
    So updating to the newest firmwares not that bad. By staying on a lower firmware (or having a backup of one) you just have better chances for an exploitable firmware because you can then update to the exploitable one.
     
  10. cearp

    cearp the ticket master

    Member
    7,552
    4,815
    May 26, 2008
    Tuvalu
    is the ds profile exploit patched yet in fw 7?
     
  11. Swing

    Swing GBAtemp Regular

    Member
    269
    18
    Jun 5, 2011
    United States
    letsee I haven't updated it for months. I should have looked at the FW version but do you think it wouldn't have made a difference if I had FW from say... Summer/Fallish?
     
  12. profi200

    profi200 Banned

    Banned
    330
    216
    Sep 3, 2011
    Gambia, The
    Tested? Can't test it currently, because my DS2 is blocked.

    Btw: It's a vuln ;)
     
  13. Pong20302000

    Pong20302000 making notes on everything

    Member
    8,076
    1,933
    Sep 8, 2009
    One's inner self
    yup
    DS Settings now boots SAFE_FIRM instead of NATIVE_FIRM now :P
     
  14. Swing

    Swing GBAtemp Regular

    Member
    269
    18
    Jun 5, 2011
    United States
    Ahem *cough* clears throat makes noise *cough*
     
  15. cearp

    cearp the ticket master

    Member
    7,552
    4,815
    May 26, 2008
    Tuvalu
    ?
     
  16. fatcat1413

    fatcat1413 GBAtemp Regular

    Member
    118
    4
    Dec 2, 2013
    United States
    If your last firmware was 4.5 or below then you could have been able to use a Gateway flashcard ;)
     
  17. Swing

    Swing GBAtemp Regular

    Member
    269
    18
    Jun 5, 2011
    United States
    goddammit lol
     
  18. fatcat1413

    fatcat1413 GBAtemp Regular

    Member
    118
    4
    Dec 2, 2013
    United States

    Oh well, maybe Nintendo didn't check over their firmware and left out some exploits that weren't patched yet :/
     
  19. Swing

    Swing GBAtemp Regular

    Member
    269
    18
    Jun 5, 2011
    United States
    Hey guys since you're here I posted a topic in the Games section of the 3DS forum about getting BD, do ya think you could check it out and help a brotha out?
     
  20. profi200

    profi200 Banned

    Banned
    330
    216
    Sep 3, 2011
    Gambia, The
    What do you mean exactly? Crash or not? If it doesn't crash after installing and running the DS profile at all, mset haxx is fixed.

    €:
    If you meant, it boots profile settings in DS mode now, no it does not. Still runs in 3DS mode.